package cordova.plugins;

import org.apache.cordova.CordovaWebView;
import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CordovaInterface;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

//import com.viatom.azur.BTUtils;

import android.content.ServiceConnection;
import android.content.Intent;
import android.app.Service;
import android.content.ComponentName;
import android.os.IBinder;
import android.os.Binder;
import android.content.Context;


public class checkMeInterface extends CordovaPlugin{

	private Binder mBinder = null;
	
	@Override
	public void initialize(CordovaInterface cordova, CordovaWebView webView) {
		super.initialize(cordova, webView);
		// your init code here
	}

	@Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        try {
            if (action.equals("initBTUtils")){
                callbackContext.success( startBTutilsBind());
            }else {
                 System.out.println("Invalid action");
                return false;
            }
        }catch(Exception e ) {
            System.out.println("Exception occurred: ".concat(e.getMessage()));
            return false;
        }
        return true;
    }
    
    public String startBTutilsBind(){
        testBindService();
        return "OK -  starting bind process";
    }

    public void testBindService(){
      this.bindService(new Intent("com.viatom.azur,BTUtils"), conn, Service.BIND_AUTO_CREATE);
    }

    
    private ServiceConnection conn = new ServiceConnection(){

        @Override
        public void onServiceConnected(ComponentName name, IBinder service){
            System.out.println("BTUtils service connected");
            mBinder = (BTUtils.BTBinder)service;
        }

        @Override
        public void onServiceDisconnected (ComponentName name){
            System.out.println("Service has been disconnected.");
        }

    };
}